# Uses of Class
com.sun.net.httpserver.HttpsServer

Packages that use HttpsServer
Package
Description
com.sun.net.httpserver
Provides a simple high-level Http server API, which can be used to build embedded HTTP servers.
com.sun.net.httpserver.spi
Provides a pluggable service provider interface, which allows the HTTP server implementation to be replaced with other implementations.

## Uses of HttpsServer in com.sun.net.httpserver

Methods in com.sun.net.httpserver that return HttpsServer
Modifier and Type
Method
Description
`static HttpsServer`
HttpsServer.`create()`
Creates a `HttpsServer` instance which is initially not bound to any local address/port.
`static HttpsServer`
HttpsServer.`create(InetSocketAddress addr, int backlog)`
Create a `HttpsServer` instance which will bind to the specified `InetSocketAddress` (IP address and port number).
`static HttpsServer`
HttpsServer.`create(InetSocketAddress addr, int backlog, String path, HttpHandler handler, Filter... filters)`
Creates an `HttpsServer` instance with an initial context.

## Uses of HttpsServer in com.sun.net.httpserver.spi

Methods in com.sun.net.httpserver.spi that return HttpsServer
Modifier and Type
Method
Description
`abstract HttpsServer`
HttpServerProvider.`createHttpsServer(InetSocketAddress addr, int backlog)`
creates a HttpsServer from this provider